Package com.logicaldoc.core.conversion

# Class XMLConverter

java.lang.Object
com.logicaldoc.core.conversion.AbstractFormatConverter
com.logicaldoc.core.conversion.XMLConverter

All Implemented Interfaces:
  `FormatConverter`

public class XMLConverter extends AbstractFormatConverter
Converter to convert XML files

Since:
  8.0
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`XMLConverter()`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getParameterNames()`
Implementations should return the list of the required parameters.
`void`
`internalConvert(String sid, Document document, File src, File dest)`

### Methods inherited from class com.logicaldoc.core.conversion.AbstractFormatConverter

`convert, convert, equals, getExtension, getParameter, getParameters, hashCode, isEnabled, loadParameters, setEnabled`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XMLConverter

public XMLConverter()

## Method Details

### internalConvert

public void internalConvert(String sid, Document document, File src, File dest) throws IOException

Throws:
  `IOException`

### getParameterNames

public List<String> getParameterNames()
Description copied from interface: `FormatConverter`
Implementations should return the list of the required parameters. A parameter is stored in the context as converter.SimpleClassName.parameter = value

Specified by:
  `getParameterNames` in interface `FormatConverter`
Overrides:
  `getParameterNames` in class `AbstractFormatConverter`
Returns:
  list of the configuration parameters